*dk lifh
      subroutine lifh(en,r)
c
c   $RCSfile: lifh.f,v $ $Revision: 1.3 $
c   $Date: 89/08/07 09:11:22 $
c   $State: Stable $
c

c            P U R P O S E   O F    S U B R O U T I N E
 
 
c            I N P U T    A R G U M E N T S
c
c     en
c     r
c
c            O U T P U T    A R G U M E N T S
 
c <><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
 

      implicit none

c            L O G I C A L S
      

c            I N T E G E R S
      
      integer ncount 

c            R E A L S

      real*8 auang, aucclm, vbase, rab, rbc, rac,v,en,r 


c            D I M E N S I O N S

       dimension r(3)

c            C O M M O N S

c            I N T R I N S I C    F U N C T I O N S
c            E X T E R N A L S
       external prepot, potbo
c
       data auang,aucclm,vbase/.52917706d0,1.59359d-3,141.2d0/
       data ncount/0/
c
       if(ncount.gt.0)goto100
       ncount=1
       call prepot
100    continue
       rab=auang*r(3)
       rbc=auang*r(1)
       rac=auang*r(2)
       call potbo(rab,rbc,rac,v)
       en=(v+141.2)*aucclm
c      write(6,*)'in surf',rab,rbc ,rac,en
       return
       end
